Skip to content

/v1/projects/{projectId}/flows (GET)

GET
/v1/projects/{projectId}/flows
curl --request GET \
--url https://service.v2.nairon.xyz/v1/projects/example/flows \
--header 'Authorization: Bearer <token>'
projectId
required
string format: cuid
/^[cC][0-9a-z]{6,}$/

Default Response

Media typeapplication/json
object
flows
required
Array<object>
object
id
required
string format: cuid
/^[cC][0-9a-z]{6,}$/
projectId
required
string format: cuid
/^[cC][0-9a-z]{6,}$/
name
required
string
type
required
string
Allowed values: simple graph
description
required
Any of:
string
tier
required
string
Allowed values: standard pro
agentProfileId
required
Any of:
string format: cuid
/^[cC][0-9a-z]{6,}$/
createdAt
required
string
updatedAt
required
string
Example
{
"flows": [
{
"type": "simple",
"tier": "standard"
}
]
}